Bug 72566 - SiS 6326 installer problems
SiS 6326 installer problems
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: 82789
  Show dependency treegraph
Reported: 2002-08-25 12:39 EDT by Alan Cox
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-14 05:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2002-08-25 12:39:53 EDT
With a TV output set up the installer runs the SIS X server, fails and then 
fires up the VESA server. The vesa server has a lot of missed pixels. I notice
we set up mtrr's for the video ram and I wonder if the SiS can't handle this

With a monitor plugged in instead the SiS server is run, and that fails
differently but did work in 3.3.x. I'll play with the server options and see
what is going on (last time I had to set a couple).

Random, el cheapo, noname sis 6326 board with 8MB RAM.
Comment 1 Mike A. Harris 2002-08-25 13:03:58 EDT
You are pure evil.  ;o)


Option "nomtrr"
Comment 2 Mike A. Harris 2002-08-25 13:26:55 EDT
NAME SiS 6326
LINE       Option "swcursor" # Enables software mouse cursor workaround
LINE     # Option "NoAccel" # Use this if acceleration is causing problems
LINE     # Option "fifo_moderate"
LINE     # Option "fifo_conserv"
LINE     # Option "fifo_aggressive"
LINE     # Option "fast_vram"
LINE     # Option "pci_burst_on"
LINE     # Option "xaa_benchmark" # DON'T use with "ext_eng_queue" !!!
LINE     # Option "ext_eng_queue" # Turbo-queue. This can cause drawing
LINE                              # errors, but gives some accel

Try some of those options..  I think it also has a manpage detailing them,
but didn't check.
Comment 3 Alan Cox 2002-08-25 13:31:09 EDT
MTRR seems to matter with the vesa server vesa + mtrr = corruption (eg in the

The native driver seems to depend on "NoXaaSolidFillRect", from the behaviour
change I think XaaSolidFillRect is rendering a w x w rect not w x h. When it
renders off screen due to that the card sometimes dies too.

With NoSolidFillRect I've got another glitch when I wave windows around and off
screen a lot which isnt present with noaccel. I'll look at that later on.
Comment 4 Alan Cox 2002-08-25 13:32:00 EDT
Oh the 3D is broken too.
Comment 5 Alan Cox 2002-08-25 15:50:16 EDT
Ok the complete essay for my SIS6326 AGP 8Mb appears to be

"VESA" option does not work (gets the line stride wrong, assumes its 640 when
the vesa BIOS stride is not). That stops it working on my TV in sis driver

"MaxXFBmem" is broken, this breaks 3D support. (And also stops me telling the
box my card has 8Mb RAM [it sets to 4 safely thankfully])

"TurboQueue off" is required to stop dropped pixel noise

"Swcursor True" stops random occasional hangs

"XaaNoSolidFillRect" is required to fix the rendering/crashes

3D still doesn't work. It appears X is not telling the sisfb/dri driver layer
about the memory properly

With NoAccel the TurboQueue off seems to be required

With the vesa fb driver setting mtrr's as we do causes noise, misrendering and
funny colours.
Comment 6 Alan Cox 2002-09-29 14:26:11 EDT
Further progress on this. Thomas Winischhofer <thomer at winischhofer.net> sent
me the test version of his fixed drivers. These add Xv but also fix the
turboqueue/cursor problem (the mouse cursor was overwriting the turboqueue). 
I'd say getting his updates in for the next RH XFree/Errata XFree would be a
good thing - I can even play movies on the relic now

Note You need to log in before you can comment on or make changes to this bug.